Serverhosting návody

Instalace PHP 5.6.0 pro Debian Squeeze (FastCGI)

Pomocí tohoto návodu nainstalujete další verzi PHP na Váš server a přídáte toto nastavení do Vašeho ISPConfig. Budete, tak moci přidávat pro různé webové stránky různé verze PHP dle potřeby Vás a Vašich klientů.

Tento postup byl otestován na systému Debian Squeeze a ISPConfig 3.0.5.1.

Pokud si chcete přečíst více, je potřeba předplatné: Klikněte zde k odběru

Komentáře  

#4 Pavel Hájek 2014-09-17 21:36
Po úpravě jsem problém vyřešil. Moc děkuji 8)
#3 Pavel Hájek 2014-09-17 14:35
Celý návod funguje skvěle, jen je problém s instalací APC , jak jsem psal výše.

Když bych se vykašlal na instalace APC tak jsem rozběhl vše co mi na PHP 5.3.x neběželo. a PHP 5.6. běží v pohodě.


Snad jen bych návod doplnil o nutnost aktualizace ISPConfig pomocí příkazu: ispconfig_updat e.sh , ve verzi 3.0.5 není v menu Systém položka "Další verze PHP".
#2 CMS systémy 2014-09-17 13:25
Cituji Pavel Hájek:
Děkuji za výborný článek. ale bohužel mi padá instalace APC, můžete mi poradit, na co se zaměřit.....

Kompilce shoří na následující hlášce:
/var/tmp/APC/apc_cache.c:820: error: 'IS_CONSTANT_ARRAY' undeclared (first use in this function)
make: *** [apc_cache.lo] Error 1
ERROR: `make' failed

Celý návod jsme upravili, ještě ale není detailně otestován (byl zařazen do pořadníku na otestování). Můžete postup, ale vyzkoušet a dát nám zpětně vědět, zda se Vám PHP 5.6 na server podařilo nainstalovat.
#1 Pavel Hájek 2014-09-17 10:21
Děkuji za výborný článek. ale bohužel mi padá instalace APC, můžete mi poradit, na co se zaměřit.....

Kompilce shoří na následující hlášce:
/var/tmp/APC/apc_cache.c:820: error: 'IS_CONSTANT_AR RAY' undeclared (first use in this function)
make: *** [apc_cache.lo] Error 1
ERROR: `make' failed

Komentáře mohou přidávat pouze registrovaní uživatelé.

Serverhosting Menu

Instalace PHP 7.2 pro Debian Jessie (PHP-FPM a FastCGI)

Pomocí tohoto návodu nainstalujete další verzi PHP 7.2 na Váš server a přídáte toto nastavení do Vašeho ISPConfig....

Instalace Let's Encrypt s ISPConfig 3.1

Instalace Let's Encrypt s ISPConfig 3.1

ISPConfig 3.1 má v sobě zabudovanou podporu pro SSL šifrování pomocí Let's encrypt . Funkce umožňuje vytvářet Let's...

ISPConfig 3.1 je tady

ISPConfig 3.1 je tady
Co jenového v ISPConfig 3.1

ISPConfig 3.1 je další generací tohoto nástroje sloužící pro správu webhostingu....

Použití emailového klienta Roundcube s ISPConfig 3

Použití emailového klienta Roundcube s ISPConfig 3

Postup jak pomocí pluginů propojit emailového klienta Roundcube s nástrojem ISPConfig 3 přes vzdáleného uživatele,...

Upgrade Debian 6 (“squeeze”) na Debian 7 (“wheezy”) s instalovaným ISPConfig

V tomto postupu si ukážeme jak provést upgrade Debian 6 (“squeeze”) na Debian 7 (“wheezy”) s již nainstalovaným...

  • 1
  • 2
  • 3

Podpořte tento projekt

V případě, že se Vám tyto stránky líbí a nelezli jste zde informace, které jste potřebovali, přispějte prosím jakoukoliv částkou. Děkujeme!



Přihlášení